class Admins::DeleteOrganizationService < Gitea::ClientService
    attr_reader :token, :name
    
    def initialize(name)
        @name = name
    end

    def call
        Gitea::Organization::DeleteService.call(token,name)
    end
    
        
    private
    def token
        {
            username: GiteaService.gitea_config[:access_key_id],
            password: GiteaService.gitea_config[:access_key_secret]
        }
    end
end
